import { EventEmitter, OnInit, QueryList, ElementRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { QuoteService } from './../quote.service';
import { Router } from '@angular/router';
import { QuoteConfig } from './quote.config';
import { TranslatorService } from 'a365translator';
import { BsModalService, BsModalRef } from 'ngx-bootstrap/modal';
import { A365loaderService } from 'a365loader';
export declare class QuoteComponent implements OnInit {
    private quoteService;
    private formBuilder;
    private router;
    private translator;
    private modalService;
    private loaderService;
    external_source_data: URLSearchParams;
    quote_mode: string;
    label: string;
    emit_quote: EventEmitter<number>;
    paxs_age_input: QueryList<ElementRef>;
    modal_br: boolean;
    modal_dialog_container: boolean;
    quote_selector_paxs: number;
    origin_country: any;
    set dyn_data_quote_destination(e: ElementRef<HTMLElement>);
    set dyn_data_quote_dates(e: ElementRef<HTMLElement>);
    set dyn_data_quote_paxs(e: ElementRef<HTMLElement>);
    set pax_age_input(e: ElementRef<HTMLElement>);
    set quote_init(e: ElementRef<HTMLElement>);
    bsModalRef: BsModalRef | undefined;
    quote_redirect: boolean;
    quote_destinos: {
        val: number;
        name: string;
        destination_code: any;
    }[];
    quote_settings: any;
    quote_dialog_title: any;
    quote_modal_data: any;
    geo_url: string;
    img_path: string;
    data_content: any;
    emitQuote(id: number): void;
    quoteForm: FormGroup;
    quote_modal: boolean;
    quote_title: any;
    quote_state: any;
    quote_pax_ages: any;
    add_pax_btn: boolean;
    pre_quote_pax_ages: any;
    quote_submit: {};
    voucher: any;
    url_param: any;
    country_code: string;
    countryCodes: any;
    dates_data_content: any;
    dates_data: any;
    default_dates_data: any;
    getMonthDay(v: any, t: any): any;
    quote_365(): void;
    getDiffMonths(d2: any, d1: any): number;
    getDaysInMonth(m: any, y: any): number;
    setRangeDates(m: any, y: any, sd_elem: any, days: any): void;
    setDateRange(sd: any, ed: any): void;
    sumarDias(fecha: any, dias: any): any;
    cleanInitRange(): void;
    setInitEndDate(sdx: any): void;
    getDiffDays(d1: any, d2: any): number;
    setHeaderData(sd?: any, ed?: any): void;
    constructor(quoteService: QuoteService, formBuilder: FormBuilder, router: Router, translator: TranslatorService, modalService: BsModalService, loaderService: A365loaderService, config: QuoteConfig);
    dialogB2B(): void;
    ngOnInit(): void;
    selectOpt(e: any): void;
    initQuote(): void;
    getParamValueQueryString(paramName: any): any;
    quote_dates(): void;
    pax_error_msg: boolean;
    setFormMessage(t: any, c: any): void;
    paxAgeChange(e: any): void;
    quote_paxs(): void;
    remove_pax(e: any, i: any): void;
    add_pax(): void;
    quote_data: {
        data: {
            quote_destino: number;
            quote_date1: string;
            quote_date2: string;
            quote_paxs: any[];
            days: number;
        };
        passed: {
            quote_destino: boolean;
            quote_dates1: boolean;
            quote_dates2: boolean;
            paxAges: boolean;
        };
    };
    quote_destino(e: any): void;
    toggleModalQuote(): void;
    refresh_dest(a: any, e: any): void;
    quote_submit_paxs: boolean;
    quote_start(e: any): boolean;
    paxAgeBlurInput(e: any): void;
    paxAgeSetInput(e: any): void;
    getQuoteValidationErrors(): any[];
    gotoProducts(): void;
    quote(): void;
    setAttributes(el: any, attrs: any): void;
    getFeriados(m: any, y: any): any;
    generateCalendar: () => void;
    setDataFromLocalStorage(): void;
    ngAfterViewInit(): void;
}
